import type { PageConfig, ScqyEntity } from '@vben/types';

import { parseQueryValues } from '@vben/utils';

import { requestClient } from '#/api/request';

interface ScqyPartialEntity extends Partial<Omit<ScqyEntity, 'scqyinfomc'>> {
  scqyinfomc?: string;
}

interface ScqyQueryParams extends PageConfig, ScqyPartialEntity {}

/**
 * 生产企业信息_列表
 */
export async function getScqyListApi(params: ScqyQueryParams) {
  return requestClient.post<any>('/api/query/list?pagevalue=28', {
    ...params,
  });
}

/**
 * 生产企业信息_详情
 */
export async function getScqyDetailApi(data: { scqyinfoid: string }) {
  return requestClient.post<any>(
    '/api/query/view?pagevalue=29',
    {
      ...parseQueryValues(data),
    },
    { formatData: true }, // 格式化返回数据
  );
}

/**
 * 生产企业信息_新增
 */
export async function addScqyApi(data: ScqyEntity) {
  return requestClient.post<any>('/api/add?pagevalue=30', { ...data });
}

/**
 * 生产企业信息_编辑
 */
export async function editScqyApi(data: ScqyEntity) {
  return requestClient.post<any>('/api/up?pagevalue=31', { ...data });
}

/**
 * 生产企业信息_删除
 */
export async function deleteScqyApi(data: { 'scqyinfoid.value': string }) {
  return requestClient.post<any>('/api/del?pagevalue=32', { ...data });
}
